Test unsaved email notifier

Sends a test email using the email notifier configuration in the request body, without saving it.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Create permission on the Alerts by email entity (create:email-notifier). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum
required

Specifies what triggers a notification: deviances for each new deviance, attacks for each attack, or healthChecks for each change in health check status.

Allowed:
checkers
array of integers
required
length ≥ 1

Specifies the IDs of the checkers to send notifications for. Required when inputType is deviances.

checkers*
profiles
array of integers
required
length ≥ 1

Specifies the IDs of the security profiles to send notifications for. Required when inputType is deviances or attacks.

profiles*
string
required

Specifies the email address that receives the notifications.

integer
required

Specifies the minimum severity that triggers a notification.

directories
array of integers
required

Specifies the IDs of the directories to send notifications for.

directories*
string

Specifies a description of the notifier.

Responses
204

Returned if the test email was sent successfully.

401

Returned if the API key specified in your request is invalid.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!